name: siyuan-note
services:
  siyuan-note:
    command: "--accessAuthCode=casaos --workspace=/siyuan/workspace/"
    environment:
      PUID: "1000"
      PGID: "1000"
    image: b3log/siyuan:v3.1.18
    deploy:
      resources:
        reservations:
          memory: 512M
    network_mode: bridge
    ports:
      - target: 6806
        published: "6806"
        protocol: tcp
    restart: unless-stopped
    volumes:
      - type: bind
        source: /DATA/AppData/$AppID/workspace
        target: /siyuan/workspace
    x-casaos:
      envs:
        - container: TZ
          description:
            en_us: TimeZone
            zh_cn: 时区
        - container: accessAuthCode
          description:
            en_us: Access authorization code, please be sure to modify, otherwise anyone can read and write your data
            zh_cn: 访问码，请修改，否则其他人可以直接访问并修改你的数据
      ports:
        - container: "6806"
          description:
            en_us: WebUI HTTP Port
            zh_cn: WebUI HTTP 端口
      command:
        - workspace:
            en_us: specifies the workspace folder path, mounted to the container via -v on the host
            zh_cn: 指定工作区文件夹路径，通过主机上的 -v 装载到容器
      volumes:
        - container: /siyuan/workspace
          description:
            en_us: siyuan-note workspace.
            zh_cn: 思源笔记默认工作区
    container_name: siyuan-note
x-casaos:
  architectures:
    - amd64
    - arm64
    - arm
  main: siyuan-note
  author: CasaOS Team
  category: Notes
  description:
    en_us: |
      Experience Seamless Knowledge Management with SiYuan. SiYuan redefines knowledge management by seamlessly integrating with your home TV, mobile devices, and other platforms. Unlike traditional knowledge systems, SiYuan offers a cohesive and flexible environment that adapts to your lifestyle, allowing you to access and organize information effortlessly across all your devices. Whether you are a creator or a regular consumer, SiYuan's innovative approach ensures your knowledge is always at your fingertips.

      Powerful Features, Minimal Cost. SiYuan stands out with its robust set of features, most of which are free, even for commercial use. Enjoy block-level referencing, two-way links, custom attributes, SQL query embeds, and the unique protocol siyuan://. The editor supports block-style, markdown WYSIWYG, list outlines, and block zoom-in. Handle large documents with ease and include mathematical formulas, charts, flowcharts, and more. Capture web content, annotate PDFs, and export in various formats including Markdown, PDF, Word, and HTML. SiYuan also offers AI-powered writing and Q/A chat via OpenAI API, Tesseract OCR, and multi-tab support for a comprehensive and seamless experience.

      Unlimited Storage, Local Speed, Multi-Device Access. Deploying Alist on Zima private cloud devices brings unparalleled convenience. Enjoy unlimited storage, blazing-fast local network speeds, and access from multiple devices. This setup ensures that your data is always available, secure, and quickly accessible, providing a superior alternative to traditional cloud services.
    zh_cn: |
      通过思源体验无缝的知识管理。思源通过与家庭电视、移动设备和其他平台的无缝集成，重新定义了知识管理。与传统的知识系统不同，思源提供了一个连贯而灵活的环境，适应您的生活方式，让您可以轻松地在所有设备上访问和组织信息。无论您是创作者还是普通用户，思源的创新方法都确保您的知识始终触手可及。

      强大的功能，最低的成本。思源以其强大的功能集脱颖而出，其中大多数功能都是免费的，即使是商业用途。享受块级引用、双向链接、自定义属性、SQL 查询嵌入和独特的协议 siyuan://。编辑器支持块样式、markdown WYSIWYG、列表大纲和块放大。轻松处理大型文档，并包括数学公式、图表、流程图等。捕获网络内容、注释 PDF 并以多种格式导出，包括 Markdown、PDF、Word 和 HTML。思源还提供了基于 AI 的写作和 Q/A 聊天，通过 OpenAI API、Tesseract OCR 和多标签支持，提供全面而无缝的体验。

      无限存储、本地速度、多设备访问。在 Zima 私有云设备上部署 SiYuan，带来无与伦比的便利。享受无限存储空间、快速的本地网络速度和多设备访问。这种设置确保您的数据始终可用、安全且快速访问，为传统云服务提供了更优越的替代方案。
  tagline:
    en_us: Private personal knowledge management
    zh_cn: 隐私优先的个人知识管理
  developer: siyuan-note
  icon: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Siyuan-Note/icon.png
  screenshot_link:
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Siyuan-Note/screenshot-1.png
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Siyuan-Note/screenshot-2.png
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Siyuan-Note/screenshot-3.png
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Siyuan-Note/screenshot-4.png
  thumbnail: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Siyuan-Note/thumbnail.png
  tips:
    before_install:
      en_us: |
        | accessAuthCode |
        | -------- |
        | `casaos`    |
      zh_cn: |
        | 访问码 |
        | -------- |
        | `casaos`    |
  title:
    en_us: SiYuan Note
    zh_cn: 思源笔记
  index: null
  port_map: "6806"
